Index: /extensions/UserAdvManager/branches/2.51/admin/UAM_admin.php
===================================================================
--- /extensions/UserAdvManager/branches/2.51/admin/UAM_admin.php	(revision 25092)
+++ /extensions/UserAdvManager/branches/2.51/admin/UAM_admin.php	(revision 25093)
@@ -31,5 +31,4 @@
 $replacement = '.';
 
-$UAM_Password_Test_Score = 0;
 $UAM_Exclusionlist_Error = false;
 $UAM_Illegal_Flag_Error1 = false;
@@ -110,5 +109,5 @@
   case 'global':
 
-  if (isset($_POST['submit']) and isset($_POST['UAM_Mail_Info']) and isset($_POST['UAM_Username_Char']) and isset($_POST['UAM_Confirm_Mail']) and isset($_POST['UAM_Password_Enforced']) and isset($_POST['UAM_AdminPassword_Enforced']) and isset($_POST['UAM_GhostUser_Tracker']) and isset($_POST['UAM_Admin_ConfMail']) and isset($_POST['UAM_RedirToProfile']) and isset($_POST['UAM_GTAuto']) and isset($_POST['UAM_GTAutoMail']) and isset($_POST['UAM_CustomPasswRetr']) and isset($_POST['UAM_USRAuto']) and isset($_POST['UAM_USRAutoMail']) and isset($_POST['UAM_Stuffs']) and isset($_POST['UAM_HidePassw']) and isset($_POST['UAM_PwdReset']) and isset($_POST['UAM_RejectConnexion']) and isset($_POST['UAM_AddURL2Mail']))
+  if (isset($_POST['submit']) and isset($_POST['UAM_Mail_Info']) and isset($_POST['UAM_Username_Char']) and isset($_POST['UAM_Confirm_Mail']) and isset($_POST['UAM_GhostUser_Tracker']) and isset($_POST['UAM_Admin_ConfMail']) and isset($_POST['UAM_RedirToProfile']) and isset($_POST['UAM_GTAuto']) and isset($_POST['UAM_GTAutoMail']) and isset($_POST['UAM_CustomPasswRetr']) and isset($_POST['UAM_USRAuto']) and isset($_POST['UAM_USRAutoMail']) and isset($_POST['UAM_Stuffs']) and isset($_POST['UAM_HidePassw']) and isset($_POST['UAM_RejectConnexion']) and isset($_POST['UAM_AddURL2Mail']))
   {
 
@@ -234,7 +233,4 @@
     $newconf_UAM['MAILEXCLUSION'] = (isset($_POST['UAM_MailExclusion']) ? $_POST['UAM_MailExclusion'] : 'false');
     $newconf_UAM['MAILEXCLUSION_LIST'] = (isset($_POST['UAM_MailExclusion_List']) ? $_POST['UAM_MailExclusion_List'] : '');
-    $newconf_UAM['PASSWORDENF'] = (isset($_POST['UAM_Password_Enforced']) ? $_POST['UAM_Password_Enforced'] : 'false');
-    $newconf_UAM['PASSWORD_SCORE'] = (isset($_POST['UAM_Password_Score']) ? $_POST['UAM_Password_Score'] : '100');
-    $newconf_UAM['ADMINPASSWENF'] = (isset($_POST['UAM_AdminPassword_Enforced']) ? $_POST['UAM_AdminPassword_Enforced'] : 'false');
     $newconf_UAM['GHOSTRACKER'] = (isset($_POST['UAM_GhostUser_Tracker']) ? $_POST['UAM_GhostUser_Tracker'] : 'false');
     $newconf_UAM['GHOSTRACKER_DAYLIMIT'] = (isset($_POST['UAM_GhostTracker_DayLimit']) ? $_POST['UAM_GhostTracker_DayLimit'] : '10');
@@ -260,5 +256,4 @@
     $newconf_UAM['VALID_LEVEL'] = (isset($_POST['UAM_Valid_Level']) ? $_POST['UAM_Valid_Level'] : '');
     $newconf_UAM['DOWNGRADE_LEVEL'] = (isset($_POST['UAM_Downgrade_Level']) ? $_POST['UAM_Downgrade_Level'] : '');
-    $newconf_UAM['PWDRESET'] = (isset($_POST['UAM_PwdReset']) ? $_POST['UAM_PwdReset'] : 'false');
     $newconf_UAM['REJECTCONNECT'] = (isset($_POST['UAM_RejectConnexion']) ? $_POST['UAM_RejectConnexion'] : 'false');
     $newconf_UAM['REJECTCONNECT_TEXT'] = (isset($_POST['UAM_CustomRejectConnexion_Text']) ? $_POST['UAM_CustomRejectConnexion_Text'] : l10n('UAM_Default_RejectConnexion_Txt'));
@@ -359,15 +354,4 @@
       array_push($page['errors'], l10n('UAM_No_Backup_File'));
     }
-  }
-
-  // Testing password enforcement
-  // ----------------------------
-  if (isset($_POST['PasswordTest']) and isset($_POST['UAM_Password_Test']) and !empty($_POST['UAM_Password_Test']))
-  {
-    $UAM_Password_Test_Score = testpassword($_POST['UAM_Password_Test']);
-  }
-  else if (isset($_POST['PasswordTest']) and empty($_POST['UAM_Password_Test']))
-  {
-    array_push($page['errors'], l10n('UAM_reg_err_login3'));
   }
 
@@ -447,26 +431,37 @@
   $Valid_Status = -1;
   $Downgrade_Status = -1;
-	
+
+  // Bug fix - We can not use "Guest" status and other are not suitable so we fix NO_CONFIRM_STATUS to "------------"
+  $conf_UAM['NO_CONFIRM_STATUS'] == $status_options[-1];
+
+  $template->assign(
+    'No_Confirm_Status',
+      array(
+        'Status_options' => $status_options[-1],
+        'Status_selected' => $status_options[-1]
+      )
+    );
+
   // Get unvalidate status values
   // ----------------------------
-  foreach (get_enums(USER_INFOS_TABLE, 'status') as $status)
-  {
-	  $status_options[$status] = l10n('user_status_'.$status);
-	  if (isset($conf_UAM['NO_CONFIRM_STATUS']) and $conf_UAM['NO_CONFIRM_STATUS'] == $status)
-	  {
-	    $No_Valid_Status = $status;
-	  }
-	  
-    // Template initialization for unvalidated users status
-    // ----------------------------------------------------
-    $template->assign(
-      'No_Confirm_Status',
-        array(
-          'Status_options' => $status_options,
-          'Status_selected' => $No_Valid_Status
-        )
-      );
-  }
-  
+//  foreach (get_enums(USER_INFOS_TABLE, 'status') as $status)
+//  {
+//	  $status_options[$status] = l10n('user_status_'.$status);
+//	  if (isset($conf_UAM['NO_CONFIRM_STATUS']) and $conf_UAM['NO_CONFIRM_STATUS'] == $status)
+//	  {
+//	    $No_Valid_Status = $status;
+//	  }
+//	  
+//    // Template initialization for unvalidated users status
+//    // ----------------------------------------------------
+//    $template->assign(
+//      'No_Confirm_Status',
+//        array(
+//          'Status_options' => $status_options,
+//          'Status_selected' => $No_Valid_Status
+//        )
+//      );
+//  }
+
   // Get validate status values
   // --------------------------
@@ -490,24 +485,36 @@
   }
 
+
+  // Bug fix - We can not use "Guest" status and other are not suitable so we fix DOWNGRADE_STATUS to "------------"
+  $conf_UAM['DOWNGRADE_STATUS'] == $status_options[-1];
+
+  $template->assign(
+    'Downgrade_Status',
+      array(
+        'Status_options' => $status_options[-1],
+        'Status_selected' => $status_options[-1]
+      )
+    );
+
   // Get downgrade status values
   // ---------------------------
-  foreach (get_enums(USER_INFOS_TABLE, 'status') as $status)
-  {
-    $status_options[$status] = l10n('user_status_'.$status);
-    if (isset($conf_UAM['DOWNGRADE_STATUS']) and $conf_UAM['DOWNGRADE_STATUS'] == $status)
-    {
-      $Downgrade_Status = $status;
-    }
-		
-    // Template initialization for validated users status
-    // --------------------------------------------------
-    $template->assign(
-      'Downgrade_Status',
-        array(
-          'Status_options' => $status_options,
-          'Status_selected' => $Downgrade_Status
-        )
-      );
-  }
+//  foreach (get_enums(USER_INFOS_TABLE, 'status') as $status)
+//  {
+//    $status_options[$status] = l10n('user_status_'.$status);
+//    if (isset($conf_UAM['DOWNGRADE_STATUS']) and $conf_UAM['DOWNGRADE_STATUS'] == $status)
+//    {
+//      $Downgrade_Status = $status;
+//    }
+//		
+//    // Template initialization for validated users status
+//    // --------------------------------------------------
+//    $template->assign(
+//      'Downgrade_Status',
+//        array(
+//          'Status_options' => $status_options,
+//          'Status_selected' => $Downgrade_Status
+//        )
+//      );
+//  }
 
 
@@ -627,9 +634,4 @@
 						'UAM_MAILEXCLUSION_FALSE'           => $conf_UAM['MAILEXCLUSION']=='false' ? 'checked="checked"' : '' ,
 						'UAM_MAILEXCLUSION_LIST'            => $conf_UAM['MAILEXCLUSION_LIST'],
-						'UAM_PASSWORDENF_TRUE'              => $conf_UAM['PASSWORDENF']=='true' ? 'checked="checked"' : '' ,
-						'UAM_PASSWORDENF_FALSE'             => $conf_UAM['PASSWORDENF']=='false' ? 'checked="checked"' : '' ,
-						'UAM_PASSWORD_SCORE'                => $conf_UAM['PASSWORD_SCORE'],
-            'UAM_ADMINPASSWENF_TRUE'            => $conf_UAM['ADMINPASSWENF']=='true' ? 'checked="checked"' : '' ,
-						'UAM_ADMINPASSWENF_FALSE'           => $conf_UAM['ADMINPASSWENF']=='false' ? 'checked="checked"' : '' ,
             'UAM_GHOSTRACKER_TRUE'              => $conf_UAM['GHOSTRACKER']=='true' ? 'checked="checked"' : '' ,
 						'UAM_GHOSTRACKER_FALSE'             => $conf_UAM['GHOSTRACKER']=='false' ? 'checked="checked"' : '' ,
@@ -666,6 +668,4 @@
 						'UAM_VALID_LEVEL'                   => $conf_UAM['VALID_LEVEL'],
             'UAM_DOWNGRADE_LEVEL'               => $conf_UAM['DOWNGRADE_LEVEL'],
-            'UAM_PWDRESET_TRUE'                 => $conf_UAM['PWDRESET']=='true' ? 'checked="checked"' : '' ,
-            'UAM_PWDRESET_FALSE'                => $conf_UAM['PWDRESET']=='false' ? 'checked="checked"' : '' ,
             'UAM_REJECTCONNECT_TRUE'            => $conf_UAM['REJECTCONNECT']=='true' ? 'checked="checked"' : '' ,
             'UAM_REJECTCONNECT_FALSE'           => $conf_UAM['REJECTCONNECT']=='false' ? 'checked="checked"' : '' ,
@@ -679,5 +679,4 @@
             'UAM_ADDURL2MAIL_TRUE'              => $conf_UAM['ADD_GALLERY_URL_TO_EMAILS']=='true' ? 'checked="checked"' : '' ,
             'UAM_ADDURL2MAIL_FALSE'             => $conf_UAM['ADD_GALLERY_URL_TO_EMAILS']=='false' ? 'checked="checked"' : '' ,
-						'UAM_PASSWORD_TEST_SCORE'           => $UAM_Password_Test_Score,
             'UAM_ERROR_REPORTS1'                => $UAM_Exclusionlist_Error,
             'UAM_ERROR_REPORTS2'                => $UAM_Illegal_Flag_Error1,
Index: /extensions/UserAdvManager/branches/2.51/changelog.txt.php
===================================================================
--- /extensions/UserAdvManager/branches/2.51/changelog.txt.php	(revision 25092)
+++ /extensions/UserAdvManager/branches/2.51/changelog.txt.php	(revision 25093)
@@ -459,6 +459,9 @@
 -- 2.50.14 : Bug 2979 fixed - Users manually added by an admin with "Confirmation of registration for admins" disabled and "Automatic management of unconfirmed users" enabled will no longer receive a reminder email to confirm the registration
 
-
 -- 2.51.0 : Bug 1109 fixed - Password enforcement features have been removed from UAM and set in a new dedicated plugin : Password Policy
+            Bug 2984 fixed - Display issue in Miscellaneous options 
+            Bug 2986 fixed - Status for unvalidated users can not be "Guest" and is forced to "-------"
+            Bug 2987 fixed - New registered users have to follow a link on confirmation page before log in
+
 */
 ?>
Index: /extensions/UserAdvManager/branches/2.51/include/functions.inc.php
===================================================================
--- /extensions/UserAdvManager/branches/2.51/include/functions.inc.php	(revision 25092)
+++ /extensions/UserAdvManager/branches/2.51/include/functions.inc.php	(revision 25093)
@@ -223,35 +223,5 @@
     load_language('plugin.lang', UAM_PATH);
 
-    $PasswordCheck = 0;
-
     $conf_UAM = unserialize($conf['UserAdvManager']);
-
-    // Password enforcement control
-    // ----------------------------
-    if (isset($conf_UAM['PASSWORDENF']) and $conf_UAM['PASSWORDENF'] == 'true' and !empty($conf_UAM['PASSWORD_SCORE']))
-    {
-      if (!empty($user['password']) and !is_admin())
-      {
-        $PasswordCheck = testpassword($user['password']);
-  
-        if ($PasswordCheck < $conf_UAM['PASSWORD_SCORE'])
-        {
-          $message = get_l10n_args('UAM_reg_err_login4_%s', $PasswordCheck);
-          $lang['reg_err_pass'] = l10n_args($message).$conf_UAM['PASSWORD_SCORE'];
-          array_push($errors, $lang['reg_err_pass']);
-        }
-      }
-      else if (!empty($user['password']) and is_admin() and isset($conf_UAM['ADMINPASSWENF']) and $conf_UAM['ADMINPASSWENF'] == 'true')
-      {
-        $PasswordCheck = testpassword($user['password']);
-  
-        if ($PasswordCheck < $conf_UAM['PASSWORD_SCORE'])
-        {
-          $message = get_l10n_args('UAM_reg_err_login4_%s', $PasswordCheck);
-          $lang['reg_err_pass'] = l10n_args($message).$conf_UAM['PASSWORD_SCORE'];
-          array_push($errors, $lang['reg_err_pass']);
-        }
-      }
-    }
 
     // Username without forbidden keys
@@ -302,14 +272,4 @@
   }
 
-  // Special message display for password reset
-  // ------------------------------------------
-  if ((isset($conf_UAM['PWDRESET']) and $conf_UAM['PWDRESET'] == 'true'))
-  {
-    if (UAM_check_pwgreset($user['id']))
-    {
-      $template->append('errors', l10n('UAM_Password_Reset_Msg'));
-    }
-  }
-
   // Controls on profile page submission
   // -----------------------------------
@@ -327,22 +287,4 @@
     }
 
-    // Password reset control
-    // ----------------------
-    if (isset($conf_UAM['PWDRESET']) and $conf_UAM['PWDRESET'] == 'true' and UAM_check_pwgreset($user['id']))
-    {
-      // if password not changed then pwdreset field = true else pwdreset field = false
-      // ------------------------------------------------------------------------------
-      if (!empty($_POST['use_new_pwd']))
-      {
-        $query = '
-UPDATE '.USERS_TABLE.'
-SET UAM_pwdreset = "false"
-WHERE id = '.$user['id'].'
-LIMIT 1
-;';
-        pwg_query($query);
-      }
-    }
-
     $typemail = 3; // Only information email send to user on user profile update if checked
 
@@ -350,19 +292,4 @@
     {
       $typemail = 2; // Confirmation email on user profile update - With information email
-
-      // Password enforcement control
-      // ----------------------------
-      if (isset($conf_UAM['PASSWORDENF']) and $conf_UAM['PASSWORDENF'] == 'true' and !empty($conf_UAM['PASSWORD_SCORE']))
-      {
-        $PasswordCheck = testpassword($_POST['use_new_pwd']);
-
-        if ($PasswordCheck < $conf_UAM['PASSWORD_SCORE'])
-        {
-          $message = get_l10n_args('UAM_reg_err_login4_%s', $PasswordCheck);
-          $template->append('errors', l10n_args($message).$conf_UAM['PASSWORD_SCORE']);
-          unset($_POST['use_new_pwd']);
-          unset($_POST['validate']);
-        }
-      }
     }
 
@@ -453,4 +380,5 @@
         or (!is_admin() and !is_webmaster()))
   {
+
     // Performing redirection to profile page on first login
     // -----------------------------------------------------
@@ -469,24 +397,4 @@
         if (!UAM_check_profile($user['id'], $user_idsOK))
           redirect(PHPWG_ROOT_PATH.'profile.php');
-      }
-    }
-
-    // Performing redirection to profile page for password reset
-    // ---------------------------------------------------------
-    if ((isset($conf_UAM['PWDRESET']) and $conf_UAM['PWDRESET'] == 'true'))
-    {
-      $query ='
-SELECT user_id, status
-FROM '.USER_INFOS_TABLE.'
-WHERE user_id = '.$user['id'].'
-;';
-      $data = pwg_db_fetch_assoc(pwg_query($query));
-
-      if ($data['status'] <> "webmaster" and $data['status'] <> "generic") // Exclusion of specific accounts
-      {
-        if (UAM_check_pwgreset($user['id']))
-        {
-          redirect(PHPWG_ROOT_PATH.'profile.php');
-        }
       }
     }
@@ -1062,5 +970,6 @@
         if (function_exists('get_user_language_desc'))
         {
-          $custom_text = get_user_language_desc(preg_replace($patterns, $replacements, $conf_UAM_ConfirmMail['CONFIRMMAIL_CUSTOM_TXT1']));
+          $login_link = '<a href="'.get_gallery_home_url().'" style="font-weight: bold;text-align: center;color: #FF0000;text-transform: uppercase;">'.l10n('UAM_Follow this link to access the gallery').'</a>';
+          $custom_text = get_user_language_desc(preg_replace($patterns, $replacements, $conf_UAM_ConfirmMail['CONFIRMMAIL_CUSTOM_TXT1']))."<br/><br/>".$login_link;
         }
         else
@@ -1070,5 +979,5 @@
         $page['infos'][]=$custom_text;
       }
-    }  
+    }
     else
     {
@@ -2140,11 +2049,19 @@
   {
     $query = '
-INSERT INTO '.USER_INFOS_TABLE.'
-  (user_id, level)
-VALUES
-  ('.$user_id.', "'.$conf_UAM['NO_VALID_LEVEL'].'")
+UPDATE '.USER_INFOS_TABLE.'
+SET level = "'.$conf_UAM['NO_VALID_LEVEL'].'"
+WHERE user_id = '.$user_id.'
 ;';
 
     pwg_query($query);
+
+//    $query = '
+//INSERT INTO '.USER_INFOS_TABLE.'
+//  (user_id, level)
+//VALUES
+//  ('.$user_id.', "'.$conf_UAM['NO_VALID_LEVEL'].'")
+//;';
+//
+//    pwg_query($query);
   }
 }
@@ -3016,98 +2933,4 @@
 
 /**
- * Returns a password's score for password complexity check
- *
- * @param : password filled by user
- * 
- * @return : Score calculation
- * 
- * Thanx to MathieuGut from http://m-gut.developpez.com
- */
-function testpassword($password) // $password given by user
-{
-
-  // Variables initiation
-  // --------------------
-  $points = 0;
-  $point_lowercase = 0;
-  $point_uppercase = 0;
-  $point_numbers = 0;
-  $point_characters = 0;
-
-  // Getting password lengh
-  // ----------------------
-  $length = strlen($password);
-
-  // Loop to read password characters
-  for($i = 0; $i < $length; $i++)
-  {
-    // Select each letters
-    // $i is 0 at first turn
-    // ---------------------
-    $letters = $password[$i];
-
-    if ($letters>='a' && $letters<='z')
-    {
-      // Adding 1 point to score for a lowercase
-      // ---------------------------------------
-		  		$points = $points + 1;
-
-      // Adding bonus points for lowercase
-      // ---------------------------------
-		  $point_lowercase = 1;
-    }
-    else if ($letters>='A' && $letters <='Z')
-    {
-      // Adding 2 points to score for uppercase
-      // --------------------------------------
-      $points = $points + 2;
-
-      // Adding bonus points for uppercase
-      // ---------------------------------
-      $point_uppercase = 2;
-    }
-    else if ($letters>='0' && $letters<='9')
-    {
-      // Adding 3 points to score for numbers
-      // ------------------------------------
-      $points = $points + 3;
-
-      // Adding bonus points for numbers
-      // -------------------------------
-      $point_numbers = 3;
-    }
-    else
-    {
-      // Adding 5 points to score for special characters
-      // -----------------------------------------------
-      $points = $points + 5;
-		
-      // Adding bonus points for special characters
-      // ------------------------------------------
-      $point_characters = 5;
-    }
-  }
-
-  // Calculating the coefficient points/length
-  // -----------------------------------------
-  $step1 = $points / $length;
-
-  // Calculation of the diversity of character types...
-  // --------------------------------------------------
-  $step2 = $point_lowercase + $point_uppercase + $point_numbers + $point_characters;
-
-  // Multiplying the coefficient of diversity with that of the length
-  // ----------------------------------------------------------------
-  $score = $step1 * $step2;
-
-  // Multiplying the result by the length of the string
-  // --------------------------------------------------
-  $finalscore = $score * $length;
-
-  return $finalscore;
-}
-
-
-/**
  * UAM_check_profile - Thx to LucMorizur
  * checks if a user id is registered as having already
@@ -3140,32 +2963,4 @@
   }
   return $v;
-}
-
-
-/**
- * UAM_check_pwdreset
- * checks if a user id is registered as having already
- * changed his password.
- * 
- * @uid        : the user id
- * 
- * @returns    : true or false whether the users has already changed his password
- * 
- */
-function UAM_check_pwgreset($uid)
-{
-  $query = '
-SELECT UAM_pwdreset
-FROM '.USERS_TABLE.'
-WHERE id='.$uid.'
-;';
-
-  $result = pwg_db_fetch_assoc(pwg_query($query));
-
-  if($result['UAM_pwdreset'] == 'true')
-  {
-    return true;
-  }
-  else return false; 
 }
 
@@ -3230,71 +3025,4 @@
 
   pwg_query($query);
-}
-
-
-/**
- * UAM_Set_PwdReset
- * Action in user_list to set a password reset for a user
- */
-function UAM_Set_PwdReset($uid)
-{
-  $query ='
-UPDATE '.USERS_TABLE.'
-SET UAM_pwdreset = "true"
-WHERE id = '.$uid.'
-LIMIT 1
-;';
-
-  pwg_query($query);
-}
-
-
-/**
- * UAM_loc_visible_user_list
- * Adds a new feature in user_list to allow password reset for selected users by admin
- * 
- */
-function UAM_loc_visible_user_list($visible_user_list)
-{
-  global $template;
-
-  $template->append('plugin_user_list_column_titles', l10n('UAM_PwdReset'));
-
-  $user_ids = array();
-
-  foreach ($visible_user_list as $i => $user)
-  {
-    $user_ids[$i] = $user['id'];
-  }
-
-  $user_nums = array_flip($user_ids);
-
-  // Query to get information in database
-  // ------------------------------------
-  if (!empty($user_ids))
-  {
-    $query = '
-SELECT DISTINCT id, UAM_pwdreset
-  FROM '.USERS_TABLE.'
-  WHERE id IN ('.implode(',', $user_ids).')
-;';
-    $result = pwg_query($query);
-
-    while ($row = pwg_db_fetch_assoc($result))
-    {
-      if ($row['UAM_pwdreset'] == 'false')
-      {
-        $pwdreset = l10n('UAM_PwdReset_Done');
-      }
-      else if ($row['UAM_pwdreset'] == 'true')
-      {
-        $pwdreset = l10n('UAM_PwdReset_Todo');
-      }
-      else $pwdreset = l10n('UAM_PwdReset_NA');
-
-		  $visible_user_list[$user_nums[$row['id']]]['plugin_columns'][] = $pwdreset; // Shows users password state in user_list
-    }
-  }
-  return $visible_user_list;
 }
 
Index: /extensions/UserAdvManager/branches/2.51/include/upgradedb.inc.php
===================================================================
--- /extensions/UserAdvManager/branches/2.51/include/upgradedb.inc.php	(revision 25092)
+++ /extensions/UserAdvManager/branches/2.51/include/upgradedb.inc.php	(revision 25093)
@@ -834,3 +834,32 @@
   conf_update_param('UserAdvManager', pwg_db_real_escape_string($update_conf));
 }
+
+
+/* upgrade from 2.50.x to 2.51.0 */
+/* ***************************** */
+function upgrade_2500_2510()
+{
+  global $conf;
+  
+  load_language('plugin.lang', UAM_PATH);
+
+  // Upgrade $conf_UAM options
+  $conf_UAM = unserialize($conf['UserAdvManager']);
+
+  unset ($conf_UAM['PASSWORDENF']);
+  unset ($conf_UAM['PASSWORD_SCORE']);
+  unset ($conf_UAM['ADMINPASSWENF']);
+  unset ($conf_UAM['PWDRESET']);
+
+  $update_conf = serialize($conf_UAM);
+
+  conf_update_param('UserAdvManager', pwg_db_real_escape_string($update_conf));
+
+  // Cleanup obsolete database modification
+  $q = '
+ALTER TABLE '.USERS_TABLE.'
+DROP UAM_pwdreset 
+;';
+  pwg_query($q);
+}
 ?>
Index: /extensions/UserAdvManager/branches/2.51/language/da_DK/help.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.51/language/da_DK/help.lang.php	(revision 25092)
+++ /extensions/UserAdvManager/branches/2.51/language/da_DK/help.lang.php	(revision 25093)
@@ -65,8 +65,4 @@
 - Kaldenavn (nickname) obligatorisk ved gæstekommentarer<br>
 ...';
-$lang['UAM_passwadmTitle_d'] = 'En administrator kan oprette en brugerkonto med eller uden krav om kompleksitetsberegning.<br><br>
-Bemærk: Hvis en brugeren senere ønsker at ændre adgangskode og der er krav om at brugerne har stærke adgangskoder, vil adgangskoden blive udsat for kravet.';
-$lang['UAM_passwtestTitle'] = 'Tester adgangskodens kompleksitet';
-$lang['UAM_passwtestTitle_d'] = 'Skriv adgangskoden, der skal testes, og klik dernæst på &quot;Beregn score&quot; for at se resultatet.';
 $lang['UAM_GT_MainTitle_d'] = '- Automatisk eller manuel håndtering af spøgelsesbrugere<br>
 - Mailing<br>
@@ -240,10 +236,4 @@
 <br><br>
 Tilpassset tekst til omdirigeringssiden kan skrives feltet, som er kompatibelt med FCK Editor og, ved flere sprog, kan man anvendes [lang]-tags fra plugin\'en Extended Description, hvis denne er aktiv.';
-$lang['UAM_PwdResetTitle_d'] = 'Aktivering af denne valgmulighed tilføjer en ny funktion til Piwigos brugerhåndteringspanel (Brugere > Håndter), vedrørende fornyelse af udvalgte brugeres adgangskoder. Desuden tilføjes en ny kolonne, som viser adgangskodestatus for hver af dem, med følgende værdier:<br>
-- Adgangskode skal fornyes: Der er planlagt at bede om fornyelse af adgangskoden.<br>
-- Adgangskode fornyet: Adgangskoden er blevet fornyet, efter der er bedt om det.<br>
-- Oprindelig adgangskode: Den oprindelige adgangskode valgt ved kontooprettelsen, og som aldrig har været krævet fornyet.<br>
-Funktionen gælder ikke webmaster, generiske og gæstekonti.<br>
-Disse brugere vil automatisk blive omdirigeret til deres opsætningsside, hver gang de logger på, indtil adgangskoden er blevet ændret, og der vil eksplicit blive givet besked om det på den side.';
 $lang['UAM_GTReminder_Subject_d'] = 'Her skrives emnet på den automatiske Ghost Tracker-påmindelsesmail.<br>
 Som standard indeholder feltet en generisk tekst på engelsk, men du kan ændre den samt anvende oversættelsestags [lang =?] fra plugin\'en Extended Description, hvis den er installeret.
@@ -290,7 +280,4 @@
 $lang['UAM_GTAutoGpTitle_d'] = 'Den automatiske ændring af gruppe, status eller privatlivsniveau svarer til en nedgradering af de involverede konti og arbejder efter samme princip som bekræftedes gruppe, status eller privatlivsniveau (se &quot;Opsætning af registreringsbekræftelse&quot;). Dvs. at der defineres en gruppe. status og/eller niveau som nedgraderer adgangen til galleriet. Hvis det allerede er opsat med brug af funktionen til registreringsbekræftelser, kan du anvende samme gruppe/status/niveau.<br><br>
 <b style=&quot;color: red;&quot;>Vigtigt:</b> Hvis en spøgelsesbruger stadig ikke har ladet høre fra sig efter tidsbegrænsningen og på trods af automatisk mailnotifikation (hvis aktiveret), vil vedkommende automatisk blive slettet fra databasen.';
-$lang['UAM_passwTitle_d'] = 'Aktivering af denne valgmulighed gør det til at krav at have en adgangskode ved registreringen, og kræver at den valgte adgangskode opfylder et minimalt kompleksitetsniveau.  Hvis tærsklen ikke opfyldes, vil den opnåede score og den minimale score, der skal opfyldes, blive vist, sammen med anbefalinger til forbedring af scoren.<br><br>
-Der er et testfelt til måling af adgangskodens kompleksitet, og som giver en idé om hvordan man definerer en sådan.<br><br>
-Bemærk: Adgangskodens score beregnes ud fra flere parametre: længde, typen af benyttede tegn (bogstaver, tal, store bogstaver, små bogstaver, særlige tegn). En score på under 100 betragtes som lav, fra 100 til 500 er kompleksiteten gennemsnitlig og over 500 er sikkerheden fremragende.';
 $lang['UAM_restricTitle_d'] = '- Fravalg af tegn<br>
 - Adgangskodehåndhævelse<br>
Index: /extensions/UserAdvManager/branches/2.51/language/da_DK/plugin.lang.php
===================================================================
--- /extensions/UserAdvManager/branches/2.51/language/da_DK/plugin.lang.php	(revision 25092)
+++ /extensions/UserAdvManager/branches/2.51/language/da_DK/plugin.lang.php	(revision 25093)
@@ -21,5 +21,4 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['UAM_AdminPassword_Enforced'] = 'Gældende administratorer';
 $lang['UAM_ConfirmMail_Subject'] = 'Tilpas emne på mail vedrørende registreringsbekræftelse';
 $lang['UAM_ConfirmMail_Text'] = ' Tilpasning af bekræftelsesmail:';
@@ -30,6 +29,4 @@
 $lang['UAM_Confirm_Mail_local'] = ' Aktiver - Administratorbekræftelse';
 $lang['UAM_Confirm_Mail_true'] = ' Aktiver - Brugerbekræftelse';
-$lang['UAM %d user pwdreseted'] = 'Fornyelse af adgangskode krævet af brugerne %s';
-$lang['UAM %d users pwdreseted'] = 'Fornyelse af adgangskode krævet af brugerne %s';
 $lang['UAM_%d_Mail_With_Key'] = '%s meddelelse med nøglefornyelse afsendt';
 $lang['UAM_%d_Mails_With_Key'] = '%s meddelelser med nøglefornyelse afsendt';
@@ -42,5 +39,4 @@
 $lang['UAM_AdminValidationMail_Subject'] = 'Tilpas emnet på mails vedrørende manuel godkendelse';
 $lang['UAM_AdminValidationMail_Text'] = 'Besked om manuel registreringsbekræftelse';
-$lang['UAM_Admins cannot be pwdreset'] = 'Adgangskodefornyelse kan ikke opsættes på administatorkonto!';
 $lang['UAM_Bad_version_backup'] = 'Versionen af sikkerhedskopien svarer ikke til plugin-versionen!
 Gendannelsen blev ikke udført.';
@@ -69,5 +65,4 @@
 $lang['UAM_CustomPasswRetr'] = 'Tilpas indhold af mail om glemt adgangskode';
 $lang['UAM_Customize_messagesandmails'] = 'Tilpas indhold meddelelserne og mailene';
-$lang['UAM_Default user cannot be pwgreset'] = 'Fornyelse af adgangskode kan ikke opsættes for standardbrugerkontoen!';
 $lang['UAM_Default_AdminValidationMail_Subject'] = '[username] - Registration godkendt i [mygallery]';
 $lang['UAM_Default_AdminValidation_Txt'] = 'Hej [username]! For fordi du registrerede dig og velkommen til [mygallery].
@@ -117,10 +112,4 @@
 $lang['UAM_no_update_pwd'] = '[profil opdateret uden ændring af adgangskode]';
 $lang['UAM_reg_err_login2'] = 'Brugernavnet må ikke indehold følgende tegn:';
-$lang['UAM_reg_err_login3'] = 'Sikkerhed: En adgangskode er påkrævet!';
-$lang['UAM_reg_err_login4_%s'] = 'Sikkerhed: Et kontrolsystem beregner en værdi for den valgte adgangskodes kompleksitet. Din adgangskodes kompleksitet er for lav (værdi = %s). Vær venlig at vælge en ny og mere sikker adgangskode ved at følge disse regler:<br>
-- Brug bogstaver og tal<br>
-- Brug små og store bogstaver<br>
-- Forøg længden (antal tegn)<br>
-Administratoren kræver følgende minimale adgangskodeværdi:';
 $lang['UAM_reg_err_login5'] = 'En mailleverandør er accepteres ikke af os. Ikke-accepterede mailleverandører er:';
 $lang['UAM_save_config'] = 'Opsætning er gemt.';
@@ -140,7 +129,4 @@
 $lang['UAM_Validation of %s'] = 'Bekræftelse af %s';
 $lang['UAM_ValidationLimit_Info'] = 'Begrænset frist for registreringsbekræftelse';
-$lang['UAM_Webmaster cannot be pwdreset'] = 'Fornyelse af adgangskode kan ikke opsættes på webmasterkontoen!';
-$lang['UAM_You cannot pwdreset your account'] = 'Fornyelse af adgangskode kan ikke opsættes på din egen konto!';
-$lang['UAM_You need to confirm pwdreset'] = 'Du skal bekræfte fornyelse af adgangskode (checkboks)!';
 $lang['UAM_audit'] = 'Auditindstillinger';
 $lang['UAM_audit_ok'] = 'Audit er ok';
@@ -170,7 +156,4 @@
 $lang['UAM_Tips1'] = 'Oplysning om ikke-bekræftede registeringer med UAM og PWG_Stuffs';
 $lang['UAM_Title1'] = 'Begræsninger vedrørende registreringer';
-$lang['UAM_PwdReset_Done'] = 'Adgangskoden er fornyet';
-$lang['UAM_PwdReset_NA'] = 'Oprindelig adgangskode';
-$lang['UAM_PwdReset_Todo'] = 'Adgangskoden fornyes';
 $lang['UAM_RedirToProfile'] = 'Omdiriger til tilpasningsside';
 $lang['UAM_Registration_Date'] = 'Registreringsdato';
@@ -197,11 +180,5 @@
 $lang['UAM_No_validation_for_default_user'] = 'Standardkontoen skal ikke bekræftes';
 $lang['UAM_No_validation_for_your_account'] = 'Din personlige konto skal ikke bekræftes';
-$lang['UAM_Password reset selected users'] = 'Bed om at udvalgte brugere fornyer deres adgangskode';
 $lang['UAM_Password: %s'] = 'Adgangskode: %s';
-$lang['UAM_PasswordTest'] = 'Adgangskodetest:';
-$lang['UAM_Password_Enforced'] = 'Stærkere sikkerhedsniveau på adgangkoder';
-$lang['UAM_Password_Enforced_true'] = ' Aktiver. Minimal score:';
-$lang['UAM_Password_Reset_Msg'] = 'Vær venlig at ændre din adgangskode!';
-$lang['UAM_PwdReset'] = 'Fornyelse af adgangskode';
 $lang['UAM_MailInfo_Text'] = 'Tilpasning af informationsmail:';
 $lang['UAM_Mail_Info'] = 'Informationsmail til bruger:';
@@ -221,5 +198,4 @@
 $lang['UAM_No_Usermanager'] = 'Ingen ikke-bekræftede registreringer at vise i øjeblikket';
 $lang['UAM_GT_Reset'] = 'Nulstil Ghost Tracker';
-$lang['UAM_Generic cannot be pwdreset'] = 'Fornyelse af adgangskode kan ikke opsættes for generiske konti!';
 $lang['UAM_GhostTracker'] = 'Håndtering af spøgelsesbesøgende (Ghost Tracker)';
 $lang['UAM_GhostTracker_Init_OK'] = 'Ghost Tracker er nulstillet!';
@@ -228,5 +204,4 @@
 $lang['UAM_GhostTracker_true'] = ' Aktiver. Maksimal tid i dage mellem to besøg:';
 $lang['UAM_Ghost_reminder_of_%s'] = '%s, dette er en påmindelsesmail';
-$lang['UAM_Guest cannot be pwdreset'] = 'Fornyelse af adgangskode kan ikke opsættes for gæstekonto!';
 $lang['UAM_HidePassw'] = 'Adgangskode i klartekst i informationsmail';
 $lang['UAM_LastVisit_Date'] = 'Seneste besøg';
